Index: src/mlx/checks.py
===================================================================
--- src/mlx/checks.py	(revision 211)
+++ src/mlx/checks.py	(revision 241)
@@ -135,5 +135,7 @@
            self._onTheGround and not state.onTheGround:
             logger.message(state.timestamp,
-                           "Takeoff speed: %.0f knots" % (state.ias,))
+                           "Takeoff speed: %.0f %s" % \
+                           (flight.speedFromKnots(state.ias),
+                            flight.getEnglishSpeedUnit()))
             logger.message(state.timestamp,
                            "Takeoff heading: %03.0f degrees" % (state.heading,))
@@ -160,5 +162,7 @@
                 else:
                     logger.message(state.timestamp,
-                                   "Cruise speed: %.0f knots" % (state.ias,))
+                                   "Cruise speed: %.0f %s" %
+                                   (flight.speedFromKnots(state.ias),
+                                    flight.getEnglishSpeedUnit()))
                 self._lastTime = state.timestamp
 
@@ -225,6 +229,6 @@
         - _changed(self, oldState, state): returns a boolean indicating if the
         value has changed or not
-        - _getMessage(self, state): return a strings containing the message to log
-        with the new value
+        - _getMessage(self, flight, state): return a strings containing the
+        message to log with the new value
         """
         self._logInitial = logInitial    
@@ -243,7 +247,8 @@
         
         if shouldLog:
-            logger.message(self._getLogTimestamp(state), self._getMessage(state))
+            logger.message(self._getLogTimestamp(state),
+                           self._getMessage(flight, state))
         
-#---------------------------------------------------------------------------------------
+#-------------------------------------------------------------------------------
 
 class SimpleChangeMixin(object):
@@ -322,5 +327,5 @@
         self._template = template
 
-    def _getMessage(self, state):
+    def _getMessage(self, flight, state):
         """Get the message."""
         return self._template % (self._getValue(state),)
@@ -355,5 +360,5 @@
                                 DelayedChangeMixin._getLogTimestamp(self, state)
 
-    def _getMessage(self, state):
+    def _getMessage(self, flight, state):
         """Get the message to log on a change."""
         logState = self._lastChangeState if \
@@ -398,5 +403,5 @@
         self._template = template
 
-    def _getMessage(self, state):
+    def _getMessage(self, flight, state):
         """Get the message from the given state."""
         return self._template % ("ON" if self._getValue(state) else "OFF")
@@ -443,8 +448,10 @@
         SingleValueMixin.__init__(self, "flapsSet")
 
-    def _getMessage(self, state):
+    def _getMessage(self, flight, state):
         """Get the message to log on a change."""
         speed = state.groundSpeed if state.groundSpeed<80.0 else state.ias
-        return "Flaps set to %.0f at %.0f knots" % (state.flapsSet, speed)
+        return "Flaps set to %.0f at %.0f %s" % \
+               (state.flapsSet, flight.speedFromKnots(speed),
+                flight.getEnglishSpeedUnit())
 
 #---------------------------------------------------------------------------------------
@@ -457,9 +464,10 @@
         SingleValueMixin.__init__(self, "gearControlDown")
 
-    def _getMessage(self, state):
+    def _getMessage(self, flight, state):
         """Get the message to log on a change."""
-        return "Gears SET to %s at %.0f knots, %.0f feet" % \
+        return "Gears SET to %s at %.0f %s, %.0f feet" % \
             ("DOWN" if state.gearControlDown else "UP",
-             state.ias, state.altitude)
+             flight.speedFromKnots(state.ias),
+             flight.getEnglishSpeedUnit(), state.altitude)
 
 #---------------------------------------------------------------------------------------
@@ -889,8 +897,9 @@
     def logFault(self, flight, aircraft, logger, oldState, state):
         """Log the fault."""
+        message = "Reverser used below %.0f %s" % \
+                  (flight.speedFromKnots(60), flight.getEnglishSpeedUnit())
         flight.handleFault(ReverserChecker, state.timestamp,
-                           FaultChecker._appendDuring(flight,
-                                                      "Reverser used below 60 knots"),
-                           15)        
+                           FaultChecker._appendDuring(flight, message),
+                           15)
 
 #---------------------------------------------------------------------------------------
@@ -906,7 +915,8 @@
     def logFault(self, flight, aircraft, logger, oldState, state):
         """Log the fault."""
+        message = "Taxi speed over %.0f %s" % \
+                  (flight.speedFromKnots(50), flight.getEnglishSpeedUnit())
         flight.handleFault(SpeedChecker, state.timestamp,
-                           FaultChecker._appendDuring(flight,
-                                                      "Taxi speed over 50 knots"),
+                           FaultChecker._appendDuring(flight, message),
                            FaultChecker._getLinearScore(50, 80, 10, 15,
                                                         state.groundSpeed))
